
jQuery(document).ready( function($){
	var settings = [
		// WordPress Custom Background 
		{
			setting: 'background_color',
			callback: function(to){
				theme_change_style('body', 'background-color', to, '!important');
			}
		},
		{
			setting: 'background_image',
			callback: function(to){
				theme_queue_style('body', 'background-image', 'url('+to+')', '!important');
				theme_queue_style('body', 'background-repeat', wp.customize('background_repeat').get(), '!important');
				theme_queue_style('body', 'background-position', 'top '+wp.customize('background_position_x').get(), '!important');
				theme_queue_style('body', 'background-attachment', wp.customize('background_attachment').get(), '!important');
				theme_update_css();
			}
		},
		{
			setting: 'background_repeat',
			callback: function(to){
				theme_change_style('body', 'background-repeat', to, '!important');
			}
		},
		{
			setting: 'background_position_x',
			callback: function(to){
				theme_change_style('body', 'background-position', 'top '+to, '!important');
			}
		},
		{
			setting: 'background_attachment',
			callback: function(to){
				theme_change_style('body', 'background-attachment', to, '!important');
			}
		},
		// Headers styling
		{
			setting: theme_prefix+'body_font',
			callback: function(to){
				theme_queue_font_family('body', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'header_font',
			callback: function(to){
				theme_queue_font_family('h1', to, '');
				theme_queue_font_family('h2', to, '');
				theme_queue_font_family('h3', to, '');
				theme_queue_font_family('h4', to, '');
				theme_queue_font_family('h5', to, '');
				theme_queue_font_family('h6', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'h1_colour',
			callback: function(to){
				theme_queue_style('h1', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'h2_colour',
			callback: function(to){
				theme_queue_style('h2', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'h3_colour',
			callback: function(to){
				theme_queue_style('h3', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'h4_colour',
			callback: function(to){
				theme_queue_style('h4', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'h5_colour',
			callback: function(to){
				theme_queue_style('h5', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'h6_colour',
			callback: function(to){
				theme_queue_style('h6', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'header_background_colour',
			callback: function(to){
				theme_queue_style('.padder h3, h2.pagetitle', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'header_feature_border_colour',
			callback: function(to){
				theme_queue_style('.padder h3, h2.pagetitle', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'header_feature_colour',
			callback: function(to){
				theme_queue_style('.padder h3, h2.pagetitle', 'color', to, '');
				theme_update_css();
			}
		},
		// Forms and buttons styling
		{
			setting: theme_prefix+'button_border',
			callback: function(to){
				theme_queue_style('a.comment-reply-link,a.button, input[type=submit], input[type=button], ul.button-nav li a, div.generic-button a', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'button_background_colour',
			callback: function(to){
				theme_queue_style('a.comment-reply-link,a.button, input[type=submit], input[type=button], ul.button-nav li a, div.generic-button a', 'background-color', to, '');
				if ( wp.customize(theme_prefix+'button_background_image').get() == '' )
					theme_queue_style('a.comment-reply-link,a.button, input[type=submit], input[type=button], ul.button-nav li a, div.generic-button a', 'background-image', ( to == '' ? '' : 'none' ), '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'button_colour',
			callback: function(to){
				theme_queue_style('a.comment-reply-link,a.button, input[type=submit], input[type=button], ul.button-nav li a, div.generic-button a', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'button_background_image',
			callback: function(to){
				if ( to != '' )
					to = 'url('+to+')';
				else if ( wp.customize(theme_prefix+'button_background_colour').get() != '' )
					to = 'none'
				theme_queue_style('a.comment-reply-link,a.button, input[type=submit], input[type=button], ul.button-nav li a, div.generic-button a', 'background-image', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'button_image_repeat',
			callback: function(to){
				theme_queue_style('a.comment-reply-link,a.button, input[type=submit], input[type=button], ul.button-nav li a, div.generic-button a', 'background-repeat', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'button_hover_border_colour',
			callback: function(to){
				theme_queue_style('a.comment-reply-link:hover, a.button:hover, a.button:focus, input[type=submit]:hover, input[type=button]:hover, ul.button-nav li a:hover, ul.button-nav li.current a, div.generic-button a:hover', 'border', '1px solid '+to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'button_hover_background_colour',
			callback: function(to){
				theme_queue_style('a.comment-reply-link:hover, a.button:hover, a.button:focus, input[type=submit]:hover, input[type=button]:hover, ul.button-nav li a:hover, ul.button-nav li.current a, div.generic-button a:hover', 'background-color', to, '');
				if ( wp.customize(theme_prefix+'button_hover_background_image').get() == '' )
					theme_queue_style('a.comment-reply-link:hover, a.button:hover, a.button:focus, input[type=submit]:hover, input[type=button]:hover, ul.button-nav li a:hover, ul.button-nav li.current a, div.generic-button a:hover', 'background-image', ( to == '' ? '' : 'none' ), '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'button_hover_colour',
			callback: function(to){
				theme_queue_style('a.comment-reply-link:hover, a.button:hover, a.button:focus, input[type=submit]:hover, input[type=button]:hover, ul.button-nav li a:hover, ul.button-nav li.current a, div.generic-button a:hover', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'button_hover_background_image',
			callback: function(to){
				if ( to != '' )
					to = 'url('+to+')';
				else if ( wp.customize(theme_prefix+'button_hover_background_colour').get() != '' )
					to = 'none'
				theme_queue_style('a.comment-reply-link:hover, a.button:hover, a.button:focus, input[type=submit]:hover, input[type=button]:hover, ul.button-nav li a:hover, ul.button-nav li.current a, div.generic-button a:hover', 'background-image', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'button_hover_image_repeat',
			callback: function(to){
				theme_queue_style('a.comment-reply-link:hover, a.button:hover, a.button:focus, input[type=submit]:hover, input[type=button]:hover, ul.button-nav li a:hover, ul.button-nav li.current a, div.generic-button a:hover', 'background-repeat', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'input_border_colour',
			callback: function(to){
				theme_queue_style('.light-container input[type=text]', 'border-color', to, '');
				theme_queue_style('#search-bar input[type=text]', 'border-color', to, '');
				theme_queue_style('form.standard-form input[type=text], form.standard-form select, form.standard-form input[type=password], .dir-search input[type=text]', 'border-color', to, '');
				theme_queue_style('form.standard-form input:focus, form.standard-form textarea:focus, form.standard-form select:focus', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'input_background_colour',
			callback: function(to){
				theme_queue_style('.light-container input[type=text]', 'background', to, '');
				theme_queue_style('#search-bar input[type=text]', 'background', to, '');
				theme_queue_style('form.standard-form input[type=text], form.standard-form select, form.standard-form input[type=password], .dir-search input[type=text]', 'background', to, '');
				theme_queue_style('form.standard-form input:focus, form.standard-form textarea:focus, form.standard-form select:focus', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'input_text_colour',
			callback: function(to){
				theme_queue_style('.light-container input[type=text]', 'color', to, '');
				theme_queue_style('#search-bar input[type=text]', 'color', to, '');
				theme_queue_style('form.standard-form input[type=text], form.standard-form select, form.standard-form input[type=password], .dir-search input[type=text]', 'color', to, '');
				theme_queue_style('form.standard-form input:focus, form.standard-form textarea:focus, form.standard-form select:focus', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'label_colour',
			callback: function(to){
				theme_queue_style('form.standard-form div.checkbox label, form.standard-form div.radio label, label', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'textarea_background_colour',
			callback: function(to){
				theme_queue_style('form.standard-form textarea, textarea', 'background', to, '');
				theme_queue_style('form#whats-new-form #whats-new-textarea', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'textarea_border_colour',
			callback: function(to){
				theme_queue_style('form.standard-form textarea, textarea', 'border-color', to, '');
				theme_queue_style('form#whats-new-form #whats-new-textarea', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'textarea_text_colour',
			callback: function(to){
				theme_queue_style('form.standard-form textarea, textarea', 'color', to, '');
				theme_queue_style('form#whats-new-form #whats-new-textarea', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'whats_border_colour',
			callback: function(to){
				theme_queue_style('form#whats-new-form', 'border-bottom-color', to, '');
				theme_update_css();
			}
		},
		// Text and links styling
		{
			setting: theme_prefix+'link_colour',
			callback: function(to){
				theme_queue_style('a, a:link', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'link_hover_colour',
			callback: function(to){
				theme_queue_style('a:hover', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'link_visited_colour',
			callback: function(to){
				theme_queue_style('a:visited', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'byline_colour',
			callback: function(to){
				theme_queue_style('.byline', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pre_colour',
			callback: function(to){
				theme_queue_style('div.post pre, div.post code p', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'hr_colour',
			callback: function(to){
				theme_queue_style('hr', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pre_background_colour',
			callback: function(to){
				theme_queue_style('div.post pre, div.post code p', 'background', to, '');
				theme_update_css();
			}
		},
		// Layout styling
		{
			setting: theme_prefix+'body_colour',
			callback: function(to){
				theme_queue_style('body', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'body_background_colour',
			callback: function(to){
				theme_queue_style('body', 'background-color', to, '');
				if ( wp.customize(theme_prefix+'body_background_image').get() == '' )
					theme_queue_style('body', 'background-image', ( to == '' ? '' : 'none' ), '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'body_background_image',
			callback: function(to){
				if ( to != '' )
					to = 'url('+to+')';
				else if ( wp.customize(theme_prefix+'body_background_colour').get() != '' )
					to = 'none'
				theme_queue_style('body', 'background-image', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'body_image_repeat',
			callback: function(to){
				theme_queue_style('body', 'background-repeat', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'load_background_colour',
			callback: function(to){
				theme_queue_style('.activity-list li.load-more', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'load_border_colour',
			callback: function(to){
				theme_queue_style('.activity-list li.load-more', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'load_text_colour',
			callback: function(to){
				theme_queue_style('.activity-list li.load-more a', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'child_background_colour',
			callback: function(to){
				theme_queue_style('.activity-list .activity-header a:first-child, span.highlight', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'child_colour',
			callback: function(to){
				theme_queue_style('.activity-list .activity-header a:first-child, span.highlight', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'child_border_colour',
			callback: function(to){
				theme_queue_style('.activity-list .activity-header a:first-child, span.highlight', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'child_hover_background_colour',
			callback: function(to){
				theme_queue_style('.activity-list .activity-header a:first-child:hover', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'child_hover_text_colour',
			callback: function(to){
				theme_queue_style('.activity-list .activity-header a:first-child:hover', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'image_border_colour',
			callback: function(to){
				theme_queue_style('.activity-list img.avatar', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'information_colour',
			callback: function(to){
				theme_queue_style('#information-bar', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'activity_comments_colour',
			callback: function(to){
				theme_queue_style('div.activity-comments > ul', 'color', to, '');
				theme_queue_style('div.activity-comments form.ac-form', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'activity_comments_background_colour',
			callback: function(to){
				theme_queue_style('div.activity-comments > ul', 'background', to, '');
				theme_queue_style('div.activity-comments form.ac-form', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'activity_comments_border_colour',
			callback: function(to){
				theme_queue_style('div.activity-comments ul li', 'border-top-color', to, '');
				theme_queue_style('div.activity-comments form.ac-form', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'activity_background_colour',
			callback: function(to){
				theme_queue_style('.activity-list div.activity-meta a', 'background', to, '');
				theme_queue_style('.activity-list div.activity-meta a.acomment-reply', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'activity_colour',
			callback: function(to){
				theme_queue_style('.activity-list div.activity-meta a', 'color', to, '');
				theme_queue_style('.activity-list div.activity-meta a.acomment-reply', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'activity_border_colour',
			callback: function(to){
				theme_queue_style('.activity-list div.activity-meta a', 'border-color', to, '');
				theme_queue_style('.activity-list div.activity-meta a.acomment-reply', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'activity_hover_background_colour',
			callback: function(to){
				theme_queue_style('div.activity-meta a:hover', 'background', to, '');
				theme_queue_style('div.activity-meta a.acomment-reply:hover', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'activity_hover_colour',
			callback: function(to){
				theme_queue_style('div.activity-meta a:hover', 'color', to, '');
				theme_queue_style('div.activity-meta a.acomment-reply:hover', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'activity_hover_border_colour',
			callback: function(to){
				theme_queue_style('div.activity-meta a:hover', 'border-color', to, '');
				theme_queue_style('div.activity-meta a.acomment-reply:hover', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'invite_background_colour',
			callback: function(to){
				theme_queue_style('div#invite-list', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'invite_border_colour',
			callback: function(to){
				theme_queue_style('div#invite-list', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'invite_text_colour',
			callback: function(to){
				theme_queue_style('div#invite-list', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'item_border_colour',
			callback: function(to){
				theme_queue_style('ul.item-list li', 'border-bottom-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'author_box_background_colour',
			callback: function(to){
				theme_queue_style('div.post div.author-box, div.comment-avatar-box', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'author_box_border_colour',
			callback: function(to){
				theme_queue_style('div.ac-reply-avatar img', 'border-color', to, '');
				theme_queue_style('img.avatar', 'border-color', to, '');
				theme_queue_style('div.post div.author-box img, div.comment-avatar-box img', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'widget_background_colour',
			callback: function(to){
				theme_queue_style('div.post p.postmetadata, div.comment-meta, div.comment-options, .widget-error', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'widget_colour',
			callback: function(to){
				theme_queue_style('div.post p.postmetadata, div.comment-meta, div.comment-options, .widget-error', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'widget_border_colour',
			callback: function(to){
				theme_queue_style('div.post p.postmetadata, div.comment-meta, div.comment-options, .widget-error', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'caption_background_colour',
			callback: function(to){
				theme_queue_style('div.post .wp-caption', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'caption_border_colour',
			callback: function(to){
				theme_queue_style('div.post .wp-caption', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'spotlight_background_colour',
			callback: function(to){
				theme_queue_style('.spotlight-post', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'spotlight_colour',
			callback: function(to){
				theme_queue_style('.spotlight-post', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'spotlight_border_colour',
			callback: function(to){
				theme_queue_style('.spotlight-post', 'border-top-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'widget_title_background_colour',
			callback: function(to){
				theme_queue_style('div#sidebar h3.widgettitle, #footer h3.widgettitle', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'widget_title_colour',
			callback: function(to){
				theme_queue_style('div#sidebar h3.widgettitle, #footer h3.widgettitle', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'wrapper_background_colour',
			callback: function(to){
				theme_queue_style('#site-wrapper', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'wrapper_border_colour',
			callback: function(to){
				theme_queue_style('#site-wrapper', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'column_border_colour',
			callback: function(to){
				theme_queue_style('.content-block', 'border-color', to, '');
				theme_queue_style('.content-block-end', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'container_background_colour',
			callback: function(to){
				theme_queue_style('div#container', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'container_colour',
			callback: function(to){
				theme_queue_style('div#container', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'dark_background_colour',
			callback: function(to){
				theme_queue_style('.dark-container', 'background-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'dark_border_colour',
			callback: function(to){
				theme_queue_style('.dark-container', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'dark_text_colour',
			callback: function(to){
				theme_queue_style('.dark-container', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'light_background_colour',
			callback: function(to){
				theme_queue_style('.light-container, .post', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'light_border_colour',
			callback: function(to){
				theme_queue_style('.light-container, .post', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'light_text_colour',
			callback: function(to){
				theme_queue_style('.light-container, .post', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'sidebar_item_background_colour',
			callback: function(to){
				theme_queue_style('div#sidebar div.item-options', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'sidebar_item_colour',
			callback: function(to){
				theme_queue_style('div#sidebar div.item-options', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'breadcrumb_background_colour',
			callback: function(to){
				theme_queue_style('#breadcrumb-navigation', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'breadcrumb_border_colour',
			callback: function(to){
				theme_queue_style('#breadcrumb-navigation', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'breadcrumb_colour',
			callback: function(to){
				theme_queue_style('#breadcrumb-navigation', 'color', to, '');
				theme_update_css();
			}
		},
		// Navigation styling
		{
			setting: theme_prefix+'category_background_colour',
			callback: function(to){
				theme_queue_style('#category-navigation', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'category_border_colour',
			callback: function(to){
				theme_queue_style('#category-navigation', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'category_menu_border_colour',
			callback: function(to){
				theme_queue_style('#category-navigation .sf-menu a', 'border-right-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'category_menu_background_colour',
			callback: function(to){
				theme_queue_style('#category-navigation .sf-menu li', 'background', to, '');
				theme_queue_style('#category-navigation .sf-menu li li', 'background', to, '');
				theme_queue_style('#category-navigation .sf-menu li li li', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'category_menu_colour',
			callback: function(to){
				theme_queue_style('#category-navigation .sf-menu a, #category-navigation .sf-menu a:visited', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'category_menu_selected_background_colour',
			callback: function(to){
				theme_queue_style('#category-navigation .sf-menu li:hover, #category-navigation .sf-menu li.sfHover, #category-navigation .sf-menu a:focus, #category-navigation .sf-menu a:hover, #category-navigation .sf-menu a:active, #category-navigation .sf-menu .current_page_item, #category-navigation .sf-menu .selected', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'category_menu_selected_colour',
			callback: function(to){
				theme_queue_style('#category-navigation .sf-menu li:hover, #category-navigation .sf-menu li.sfHover, #category-navigation .sf-menu a:focus, #category-navigation .sf-menu a:hover, #category-navigation .sf-menu a:active, #category-navigation .sf-menu .current_page_item, #category-navigation .sf-menu .selected', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pagination_background_colour',
			callback: function(to){
				theme_queue_style('.page-navigation', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pagination_border_colour',
			callback: function(to){
				theme_queue_style('.page-navigation', 'border-top-color', to, '');
				theme_queue_style('div.pagination', 'border-bottom-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pagination_menu_border_colour',
			callback: function(to){
				theme_queue_style('.page-navigation .sf-menu a', 'border-right-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pagination_menu_background_colour',
			callback: function(to){
				theme_queue_style('.page-navigation .sf-menu li', 'background', to, '');
				theme_queue_style('.page-navigation .sf-menu li li', 'background', to, '');
				theme_queue_style('.page-navigation .sf-menu li li li', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pagination_menu_colour',
			callback: function(to){
				theme_queue_style('.page-navigation .sf-menu a, .page-navigation .sf-menu a:visited', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pagination_menu_selected_background_colour',
			callback: function(to){
				theme_queue_style('.page-navigation .sf-menu li:hover, .page-navigation .sf-menu li.sfHover, .page-navigation .sf-menu a:focus, .page-navigation .sf-menu a:hover, .page-navigation .sf-menu a:active, .page-navigation .sf-menu .current_page_item, .page-navigation .sf-menu .selected', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pagination_menu_selected_colour',
			callback: function(to){
				theme_queue_style('.page-navigation .sf-menu li:hover, .page-navigation .sf-menu li.sfHover, .page-navigation .sf-menu a:focus, .page-navigation .sf-menu a:hover, .page-navigation .sf-menu a:active, .page-navigation .sf-menu .current_page_item, .page-navigation .sf-menu .selected', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'highlight_background_colour',
			callback: function(to){
				theme_queue_style('div#item-header h2 span.highlight span', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'highlight_border_colour',
			callback: function(to){
				theme_queue_style('div#item-header h2 span.highlight span', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'highlight_colour',
			callback: function(to){
				theme_queue_style('div#item-header h2 span.highlight span', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_background_colour',
			callback: function(to){
				theme_queue_style('div.item-list-tabs', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_text_colour',
			callback: function(to){
				theme_queue_style('div.item-list-tabs', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_selected_background_colour',
			callback: function(to){
				theme_queue_style('div.item-list-tabs ul li.selected a, div.item-list-tabs ul li.current a', 'background', to, '');
				theme_queue_style('ul.tabNavigation li a.selected, ul.tabNavigation li a:hover', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_selected_colour',
			callback: function(to){
				theme_queue_style('div.item-list-tabs ul li.selected a, div.item-list-tabs ul li.current a', 'color', to, '');
				theme_queue_style('ul.tabNavigation li a.selected, ul.tabNavigation li a:hover', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_sub_background_colour',
			callback: function(to){
				theme_queue_style('div.item-list-tabs#subnav', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_sub_border_colour',
			callback: function(to){
				theme_queue_style('div.item-list-tabs#subnav', 'border-bottom-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_sub_colour',
			callback: function(to){
				theme_queue_style('div.item-list-tabs#subnav', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_unread_colour',
			callback: function(to){
				theme_queue_style('div.item-list-tabs ul li a span.unread-count', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'footer_background_colour',
			callback: function(to){
				theme_queue_style('#footer-navigation', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'footer_colour',
			callback: function(to){
				theme_queue_style('#footer-navigation', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'footer_link_colour',
			callback: function(to){
				theme_queue_style('#footer-navigation a', 'color', to, '');
				theme_update_css();
			}
		},
		// Messages styling
		{
			setting: theme_prefix+'table_border_colour',
			callback: function(to){
				theme_queue_style('div.post table', 'border-color', to, '');
				theme_queue_style('div.post table th', 'border-top-color', to, '');
				theme_queue_style('div.post table td', 'border-top-color', to, '');
				theme_queue_style('table tr td.label', 'border-right-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'alt_background_colour',
			callback: function(to){
				theme_queue_style('table.forum tr:first-child', 'background', to, '');
				theme_update_css();
			}
		},
		/*{
			setting: theme_prefix+'alt_row_colour',
			callback: function(to){
				theme_queue_style('', '', to, '');
				theme_update_css();
			}
		},*/
		{
			setting: theme_prefix+'sticky_background_colour',
			callback: function(to){
				theme_queue_style('table.forum tr.sticky td', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'sticky_colour',
			callback: function(to){
				theme_queue_style('table.forum tr.sticky td', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'unread_background_colour',
			callback: function(to){
				theme_queue_style('table#message-threads tr.unread td', 'background', to, '');
				theme_queue_style('li span.unread-count, tr.unread span.unread-count', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'unread_border_colour',
			callback: function(to){
				theme_queue_style('table#message-threads tr.unread td', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'unread_colour',
			callback: function(to){
				theme_queue_style('table#message-threads tr.unread td', 'color', to, '');
				theme_queue_style('li span.unread-count, tr.unread span.unread-count', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pending_border_colour',
			callback: function(to){
				theme_queue_style('div.pending a, a.disabled', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pending_colour',
			callback: function(to){
				theme_queue_style('div.pending a, a.disabled', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pending_hover_border_colour',
			callback: function(to){
				theme_queue_style('div.pending a:hover, a.disabled:hover', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'pending_hover_colour',
			callback: function(to){
				theme_queue_style('div.pending a:hover, a.disabled:hover', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'messages_background_colour',
			callback: function(to){
				theme_queue_style('span.activity, div#message p', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'messages_border_colour',
			callback: function(to){
				theme_queue_style('span.activity, div#message p', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'messages_colour',
			callback: function(to){
				theme_queue_style('span.activity, div#message p', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'updated_background_colour',
			callback: function(to){
				theme_queue_style('div#message.updated p', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'updated_border_colour',
			callback: function(to){
				theme_queue_style('div#message.updated p', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'updated_text_colour',
			callback: function(to){
				theme_queue_style('div#message.updated p', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'message_options_background_colour',
			callback: function(to){
				theme_queue_style('div.messages-options-nav', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'nessage_options_colour',
			callback: function(to){
				theme_queue_style('div.messages-options-nav', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'error_background_colour',
			callback: function(to){
				theme_queue_style('div#message.error p', 'background', to, '');
				theme_queue_style('form.standard-form#signup_form div div.error', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'error_border_colour',
			callback: function(to){
				theme_queue_style('div#message.error p', 'border-color', to, '');
				theme_queue_style('form.standard-form#signup_form div div.error', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'error_colour',
			callback: function(to){
				theme_queue_style('div#message.error p', 'color', to, '');
				theme_queue_style('form.standard-form#signup_form div div.error', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'messages_alt_background_colour',
			callback: function(to){
				theme_queue_style('div#message-thread div.alt', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'messages_alt_colour',
			callback: function(to){
				theme_queue_style('div#message-thread div.alt', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'topic_alt_background_colour',
			callback: function(to){
				theme_queue_style('table tr.alt', 'background', to, '');
				theme_queue_style('ul#topic-post-list li.alt', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'topic_alt_colour',
			callback: function(to){
				theme_queue_style('ul#topic-post-list li.alt', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'unread_background_colour',
			callback: function(to){
				theme_queue_style('table#message-threads tr.unread td', 'background', to, '');
				theme_queue_style('li span.unread-count, tr.unread span.unread-count', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'unread_border_colour',
			callback: function(to){
				theme_queue_style('table#message-threads tr.unread td', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'unread_colour',
			callback: function(to){
				theme_queue_style('table#message-threads tr.unread td', 'color', to, '');
				theme_queue_style('li span.unread-count, tr.unread span.unread-count', 'color', to, '');
				theme_update_css();
			}
		},
		// Featured content styling
		{
			setting: theme_prefix+'slideshow_background_colour',
			callback: function(to){
				theme_queue_style('#slider', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'slideshow_content_background_colour',
			callback: function(to){
				theme_queue_style('#sliderContent', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'slideshow_image_background_colour',
			callback: function(to){
				theme_queue_style('.sliderImage span', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'slideshow_colour',
			callback: function(to){
				theme_queue_style('.sliderImage span', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_first_background_colour',
			callback: function(to){
				theme_queue_style('#first', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_first_colour',
			callback: function(to){
				theme_queue_style('#first', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_second_background_colour',
			callback: function(to){
				theme_queue_style('#second', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_second_colour',
			callback: function(to){
				theme_queue_style('#second', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_third_background_colour',
			callback: function(to){
				theme_queue_style('#third', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_third_colour',
			callback: function(to){
				theme_queue_style('#third', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_nav_background_colour',
			callback: function(to){
				theme_queue_style('ul.tabNavigation', 'background', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_nav_border_colour',
			callback: function(to){
				theme_queue_style('ul.tabNavigation', 'border-color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_nav_link_colour',
			callback: function(to){
				theme_queue_style('ul.tabNavigation li a', 'color', to, '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'tabs_nav_link_background_colour',
			callback: function(to){
				theme_queue_style('ul.tabNavigation li a', 'background', to, '');
				theme_update_css();
			}
		},
		// Site title & tagline
		{
			setting: 'blogname',
			callback: function(to){
				$('#logo h1 a').text(to);
			}
		},
		/*{
			setting: 'blogdescription',
			callback: function(to){
				$('#logo .description').text(to);
			}
		},*/
		// Header image
		{
			setting: 'header_image',
			callback: function(to){
				if ( to != '' )
					to = 'url('+to+')';
				theme_queue_style('#header', 'background-image', to, '');
				theme_update_css();
			}
		},
		{
			setting: 'header_textcolor',
			callback: function(to){
				theme_queue_style('#header h1 a', 'color', to, '');
				theme_queue_style('#header h1 a:visited', 'color', to, '');
				theme_queue_style('#header h1 a:hover', 'color', to, '');
				theme_update_css();
			}
		}
	];
	theme_bind_customize( settings );
	
} );